/*
 * @(#)MailBox.java
 *
 * Copyright (c) 2001-2002 JScape
 * 1147 S. 53rd Pl., Mesa, Arizona, 85206, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information of
 * JScape. ("Confidential Information").  You shall not disclose such
 * Confidential Information and shall use it only in accordance with
 * the terms of the license agreement you entered into with JScape.
 */

package com.jscape.inet.dns.record;


import com.jscape.inet.dns.DnsInputStream;

import java.io.IOException;


/**
 * MailBox represents a mailbox domain name.
 * Experimental per RFC 1035
 */
public class MailBox
        extends DnsRecord {
    private String mailBox;

    protected void decode(DnsInputStream inputStream)
            throws IOException {
        mailBox = inputStream.readDomainName();
    }

    /**
     * Gets domain name for mailbox.
     *
     * @return domain name
     */
    public String getMailbox() {
        return mailBox;
    }

    /**
     * Gets String representation of this record.
     *
     * @return String
     */
    public String toString() {
        return getRecordName() + "\tmailbox = " + mailBox;
    }
}

